<?php
/**
 * Body Classes.
 * @package Aviation Industry
 */

if (!function_exists('aviation_industry_body_classes')) :

    function aviation_industry_body_classes($aviation_industry_classes)
    {
        $aviation_industry_defaults = aviation_industry_get_default_theme_options();
        $aviation_industry_layout = aviation_industry_get_final_sidebar_layout();

        // Adds a class of hfeed to non-singular pages.
        if (!is_singular()) {
            $aviation_industry_classes[] = 'hfeed';
        }

        // Sidebar layout logic
        $aviation_industry_classes[] = $aviation_industry_layout;

        // Copyright alignment
        $copyright_alignment = get_theme_mod('aviation_industry_copyright_alignment', 'Default');
        $aviation_industry_classes[] = 'copyright-' . strtolower($copyright_alignment);

        return $aviation_industry_classes;
    }

endif;

add_filter('body_class', 'aviation_industry_body_classes');